<template>
	<!-- 底部公司信息介绍 -->
	<div v-if="userinfo?.phone1">
		<div v-if="userStore.isPcorH">
			<!-- <div class="topxian"></div> -->
			<div class="footer-bg">
				<div class="footer-left">
					<div class="footer-logo">
						<p class="footer-logo-titlke">{{ t("conect") }}</p>
						<img src="../static/images/logo.png" alt="" />
					</div>
					<div class="footer-addrandphone">
						<div class="addr flex">
							<img src="../static/images/addr.png" alt="" />
							<p class="addrinfo">{{ userinfo?.addr }}</p>
						</div>
						<div class="phonelist">
							<div class="phoneinfo flex">
								<img src="../static/images/phone.png" alt="" />
								<div class="phoneinforight">
									<p class="phone">{{ userinfo?.phone1 }}</p>
									<p class="phonetime">
										{{ t("week1-5") }} 09:00-18:00
									</p>
								</div>
							</div>
							<div class="phoneinfo flex" v-if="userinfo?.phone2">
								<img src="../static/images/phone.png" alt="" />
								<div class="phoneinforight">
									<p class="phone">{{ userinfo?.phone2 }}</p>
									<p class="phonetime">
										{{ t("week1-5") }} 09:00-18:00
									</p>
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="footer-right">
					<div v-if="userinfo?.weixin">
						<el-image
							class="imalist"
							:preview-src-list="[userinfo.weixin]"
							:preview-src-list-teleported="true"
							:preview-teleported="true"
							:src="userinfo.weixin"
							alt="" />
						<p>{{ t("Officialaccount") }}</p>
					</div>
					<div class="imalist" v-if="userinfo?.douyin">
						<el-image
							class="imalist"
							:preview-src-list="[userinfo.douyin]"
							:preview-src-list-teleported="true"
							:preview-teleported="true"
							:src="userinfo.douyin"
							alt="" />
						<p>{{ t("douyin") }}</p>
					</div>
					<div class="imalist" v-if="userinfo?.redbook">
						<el-image
							class="imalist"
							:preview-src-list="[userinfo.redbook]"
							:preview-src-list-teleported="true"
							:preview-teleported="true"
							:src="userinfo.redbook"
							alt="" />
						<p>{{ t("redbook") }}</p>
					</div>
				</div>
			</div>
		</div>
		<div v-else>
			<!-- <div class="topxian"></div> -->
			<div class="footer-bgh5">
				<div class="footer-left">
					<div class="footer-logo">
						<img
							class="logo"
							src="../static/images/logo.png"
							alt="" />
						<div class="twoma">
							<!-- <img :src="userinfo.weixin" alt="" />
							<img :src="userinfo.douyin" alt="" /> -->
							<!-- <img :src="userinfo.redbook" alt="" /> -->
							<el-image
								class="imalist"
								:preview-src-list="[userinfo.weixin]"
								:preview-src-list-teleported="true"
								:preview-teleported="true"
								:src="userinfo.weixin"
								alt="" />
							<el-image
								class="imalist"
								:preview-src-list="[userinfo.douyin]"
								:preview-src-list-teleported="true"
								:preview-teleported="true"
								:src="userinfo.douyin"
								alt="" />
							<el-image
								class="imalist"
								:preview-src-list="[userinfo.redbook]"
								:preview-src-list-teleported="true"
								:preview-teleported="true"
								:src="userinfo.redbook"
								alt="" />
							<!-- <p>{{ t("Officialaccount") }}</p> -->
						</div>
					</div>
					<div class="footer-right">
						<div class="addr flex">
							<img src="../static/images/addr.png" alt="" />
							<p class="addrinfo">{{ userinfo?.addr }}</p>
						</div>
						<div class="phonelist">
							<div class="phoneinfo flex">
								<img src="../static/images/phone.png" alt="" />
								<div class="phoneinforight">
									<p class="phone">{{ userinfo?.phone1 }}</p>
									<p class="phonetime">
										{{ t("week1-5") }} 09:00-18:00
									</p>
								</div>
							</div>
							<div class="phoneinfo flex" v-if="userinfo?.phone2">
								<img src="../static/images/phone.png" alt="" />
								<div class="phoneinforight">
									<p class="phone">{{ userinfo?.phone2 }}</p>
									<p class="phonetime">
										{{ t("week1-5") }} 09:00-18:00
									</p>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</template>

<script setup>
import useUserStore from "~/store/index";
import { useI18n } from "vue-i18n";

import { computed } from "vue";
const { t } = useI18n();
const userStore = useUserStore();
const userinfo = computed(() => {
	return userStore.info;
});
</script>

<style lang="scss" scoped>
.footer-bg {
	padding-top: 56px;
	width: 1258px;
	margin: auto;
	padding: 0 58px;
	height: 280px;
	background-color: #ffffff;

	display: flex;
	align-items: center;
	.footer-left {
		display: flex;
		flex: 1;
		.footer-logo {
			font-family: "SourceHanSansCN-Medium";
			font-weight: 500;
			font-size: 28px;
			color: #000000;
			.footer-logo-titlke {
				text-align: right;
				padding-right: 18px;
			}
			img {
				width: 203px;
				height: auto;
				margin-top: 35px;
			}
		}
		.footer-addrandphone {
			margin-left: 109px;
			flex: 1;
			.addr {
				align-items: center;
				img {
					// width: 20px;
					height: 20px;
					margin-right: 13px;
				}
				.addrinfo {
					font-weight: 400;
					font-size: 18px;
					color: #666666;
				}
			}
			.phonelist {
				margin-top: 55px;
				display: flex;

				.phoneinfo {
					// align-items: center;
					&:nth-child(2) {
						margin-left: 86px;
					}
					img {
						// width: 20px;
						height: 20px;
						margin-right: 13px;
						margin-top: 14px;
					}
					.phoneinforight {
						text-align: center;
						.phone {
							font-family: "SourceHanSansCN-Medium";
							font-size: 30px;
							color: #000000;
						}
						.phonetime {
							font-size: 18px;
							color: #666666;
						}
					}
				}
			}
		}
	}
	.footer-right {
		display: flex;
		gap: 10px;
		// flex-direction: column;
		// justify-content: center;
		.imalist {
			width: 80px;
			height: 80px;
		}
		p {
			font-weight: 400;
			font-size: 14px;
			color: #666666;
			text-align: center;
			margin-top: 10px;
		}
	}
}
// 移动端样式
.footer-bgh5 {
	padding-top: 0.3rem;
	width: 100%;
	margin: auto;
	background-color: #ffffff;
	padding-bottom: 0.8rem;
	.footer-left {
		.footer-logo {
			font-family: "SourceHanSansCN-Medium";
			font-weight: 500;
			display: flex;
			color: #000000;
			justify-content: center;
			align-items: center;
			.logo {
				height: 0.8rem;
			}
			.twoma {
				display: flex;
				gap: 0.2rem;
				margin-left: 1rem;
				.imalist {
					width: 1rem;
					height: 1rem;
				}
			}
		}
		.footer-right {
			flex: 1;
			width: 90%;
			margin: auto;
			.addr {
				// justify-content: center;
				align-items: center;
				img {
					width: auto;
					height: 0.5rem;
					margin-right: 0.2rem;
					position: relative;
					top: 0.12rem;
				}
				.addrinfo {
					font-weight: 400;
					font-size: 0.32rem;
					color: #666666;
				}
			}
			.phonelist {
				display: flex;
				margin-top: 0.2rem;
				.phoneinfo {
					flex: 1;
					&:nth-child(2) {
						margin-left: 0.5rem;
					}
					img {
						width: auto;
						height: 0.4rem;
						position: relative;
						top: 0.35rem;
					}
					.phoneinforight {
						padding-left: 0.2rem;
						.phone {
							font-family: "SourceHanSansCN-Medium";
							font-size: 0.4rem;
							color: #000000;
							text-align: left;
						}
						.phonetime {
							font-size: 0.32rem;
							color: #666666;
							text-align: left;
						}
					}
				}
			}
		}
	}
	.footer-right {
		display: flex;
		flex-direction: column;
		justify-content: center;
		p {
			font-weight: 400;
			font-size: 18px;
			color: #666666;
			text-align: center;
			margin-top: 10px;
		}
	}
}
</style>
